#
# specfile for a52dec
#

%define major     0
%define lib       liba52
%define libname   %{lib}-%{major}
%define mandir    %{_mandir}

Name:           a52dec
Version:        0.7.5svn
Release:        8.3
License:        GPL-2.0+
Summary:        Library for decoding ATSC A/52 streams
Summary(de):    Bibliothek zum dekodieren von ATSC A/52 Streams
Url:            http://liba52.sourceforge.net/
Group:          Productivity/Multimedia/Sound/Utilities
Source0:        %{name}-%{version}.tar.bz2
Source1:        mm_accel.h
Patch0:         %{name}-compat.diff
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  pkg-config
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
Requires:       %{libname} = %{version}
Provides:       a52 = %{version}
Obsoletes:      a52 < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
liba52 is a free library for decoding ATSC A/52 streams.

%description -l de
liba52 ist eine frei Biblothek zum dekodieren von ATSC A/52 Streams.

%package -n %{libname}
Summary:        Shared library part of a52dec
Summary(de):    Bibliotheken zu a52dec
Group:          System/Libraries
Provides:       %{lib} = %{version}
Obsoletes:      %{lib} < %{version}
Provides:       liba52dec0 = %{version}
Obsoletes:      liba52dec0 < %{version}

%description -n %{libname}
liba52 is a free library for decoding ATSC A/52 streams.
Shared library part of a52dec.

%description -n %{libname} -l de
liba52 ist eine frei Biblothek zum dekodieren von ATSC A/52 Streams.
Bibliotheken zu a52dec.

%package -n %{lib}-devel
Summary:        Header files and static library for the a52dec library
Summary(de):    Header Dateien und statische Bibliotheken für die a52dec Bibliothek
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}
Requires:       gcc
Requires:       glibc-devel
Provides:       a52dec-devel = %{version}
Provides:       liba52dec-devel = %{version}
Obsoletes:      liba52dec-devel < %{version}

%description -n %{lib}-devel
Header files and static library for the a52dec library.
Install this package if you want to compile programs using the library.

%description -n %{lib}-devel -l de
Header Dateien und statische Bibliotheken für die a52dec Bibliothek.
Installieren Sie dieses Paket, wenn Sie Programme kompilieren wollen,
die diese Bibliothek verwenden.

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure --disable-static
make %{?_smp_mflags}

%install
%makeinstall
install -m 644 %{SOURCE1} %{buildroot}%{_includedir}/a52dec/
rm -f %{buildroot}%{_libdir}/*.la

%clean
[ %{buildroot} != "/" ] && rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README ChangeLog AUTHORS HISTORY NEWS TODO COPYING
%{_bindir}/*
%{mandir}/man1/*

%files -n %{libname}
%defattr(0644,root,root)
%{_libdir}/*.so.*

%files -n %{lib}-devel
%defattr(-,root,root)
%{_includedir}/a52dec/
%{_libdir}/*.so
%{_libdir}/pkgconfig/liba52.pc

%changelog
* Tue Jan 24 2012 reddwarf@opensuse.org
- fix baselibs.conf
- don't install the INSTALL file
- change license tag to SPDX
- add automake, autoconf and libtool BuildRequires
* Wed Mar  2 2011 reddwarf@opensuse.org
- run spec cleaner
- remove .la files
- add pkg-config BuildRequire so RPM can do its magic
* Sun Jun 20 2010 ludwig.nussel@gmx.de
- provide a52dec-devel for compatibility
* Sat Nov 21 2009 Manfred.Tremmel@iiv.de
- update to svn from videolan
* Fri Aug 21 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Sat Sep 20 2008 Manfred.Tremmel@iiv.de
- rename of the lib packages
* Sun Apr 20 2008 Manfred.Tremmel@iiv.de
- splitted in different packages
* Tue Nov 23 2004 detlef@dreichelt.de
- changes for x86_64:
  - added CFLAGS= -fPIC
* Tue Mar 25 2003 Manfred.Tremmel@iiv.de
- changes to use Packman upload-script
* Sat Feb 22 2003 Manfred.Tremmel@iiv.de
- added --enable-shared
* Wed Feb  5 2003 Manfred.Tremmel@iiv.de
- added german description
- some changes I got from Philipp Thomas <pthomas@suse.de>
* Wed Jul  3 2002 Manfred.Tremmel@iiv.de
- update to Version 0.7.4
* Thu May 30 2002 Manfred.Tremmel@iiv.de
- update to Version 0.7.3
* Sat Dec 29 2001 waldemar@links2linux.de
- first build
